
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>API入门系列之二 -Unicode还是ASCII / iVAN</title>

    <meta name="description" content="API入门系列之二 -Unicode还是ASCII 今天,开始第二篇文章,这章我准备介绍一下Windows平台下编程中Unicode编码和ASCII编码的相关 问题. 不知道各位新手朋友们遇到这样的问题没有呢,新建一个Windows应用程序,调用MessageBox这个函 数,准备让它弹出一段提示文本,可是编译器在编译的时候却报错说,不能将const char*或者const char[]转换为const wchar_t* 之类的提示呢,很多刚接触Windows API编程的朋友们在 这里可能就卡住了,不知如何下手解决了,其实,这就是Unicod">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">API入门系列之二 -Unicode还是ASCII</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>今天，开始第二篇文章，这章我准备介绍一下Windows平台下编程中Unicode编码和ASCII编码的相关 问题。</p>
<p>不知道各位新手朋友们遇到这样的问题没有呢，新建一个Windows应用程序，调用MessageBox这个函 数，准备让它弹出一段提示文本，可是编译器在编译的时候却报错说，不能将const　char*或者const　char[]转换为const　wchar_t*　之类的提示呢，很多刚接触Windows　API编程的朋友们在 这里可能就卡住了，不知如何下手解决了，其实，这就是Unicode编码和ASCII编码的问题了。我下面就 会一一道来</p>
<p>关于Unicode和ASCII具体的编码是怎么的，我这里就不详细介绍了，也介绍不了，如果需要深入了解，网上有很多这方面的专门文章，我这里就只对Unicode编码和ASCII编码在Windows平台下的编程相关的 内容进行介绍。</p>
<p>我们都知道Unicode和ASCII最大的区别就是Unicode采用2个字节来存储一个字符，不管是英文，汉字，还是其他国家的文字，都有能用2个字节来进行编码，而ASCII采用一个字节存储一个字符，所以对于 英文的编码，那是足够的了，可是对于汉字的编码，则必须采用一些特殊的方法，用2个ASCII字符来表 示一个汉字。</p>
<p>我们在写程序的过程中，势必要和字符打交道，要输入，获取，显示字符，到底是选用Unicode字符 呢还是ASCII字符呢，这都是各位自己的权利。但为了程序的通用性和符合目前操作系统的主流趋势， Unicode编码是被推荐的。由于Unicode字符要比ASCII字符占用的空间大一倍，编译出来的程序在体积上 和占用的内存上必定要大一些，不过这并不是什么很大的问题。所以微软目前的SDK中保留了2套API，一 套用于采用Unicode编码处理字符的程序的编写，一套用于采用ASCII编码处理字符的程序的编写。　例 如，我们上面提到的MessageBox，它其实不是一个函数名，而是一个宏定义，我们先来看看它是怎么被 定义的，再来讨论它。</p>
<p>#ifdef　UNICODE</p>
<p>#define　MessageBox　　MessageBoxW</p>
<p>#else</p>
<p>#define　MessageBox　　MessageBoxA</p>
<p>#endif</p>
<p>看到了吗?很简单是不是,如果定义了UNICODE这个宏　那么就定义MessageBox为MessageBoxW，如果没有定义UNICODE这个宏，那么就定义MessageBox为MessageBoxA，MessageBox后面的W和A就是代表宽字节(Unicode)和ASCII，这样，其实存在于SDK中的函数是MessageBoxW和MessageBoxA这两个函数.</p>
<p>MessageBox只是一个宏而已。所以在程序中，这3个名字你都可以使用，只不过需要注意的是，使用 MessageBoxA的话，那么你要注意传给它的参数，字符都必须是单字节，也就是ASCII，　在程序中就是 char，如果使用MessageBoxW的话，那么，字符都必须使用Unicode，程序中就是　wchar_t。但是这样 有个非常不方便的地方那就是，如果你使用W后缀系列的函数的话，那么你的程序使用的字符就是 Unicode字符编码的，但是如果你需要用这个程序的源代码编译出字符采用ASCII编码的程序，那么需要 改动的地方就太大了。凡是涉及到字符操作的地方都需要改变。那么　，有没有比较好的办法不做更改 就可以用同样的代码编译出ASCII版本的程序呢。　　</p>
<p>当然有，就是我们在编程的时候尽量使用不带后缀的宏定义，如上例，就使用MessageBox,其中的参 数也不明确使用char　还是wchar_t　而是使用微软给我们定义的TCHAR字符数据类型，它的定义和上面 MessageBox函数的定义差不多，都是根据是否定义了UNICODE这个宏来判断是将TCHAR定义为char还是 wchar_t，所以这样一来，这个TCHAR的数据类型就是可变的了，它根据工程的设置而定义为相应的最终 字符类型，这样我们的程序就可以不做任何更改就可以轻松的编译出另外一个版本的了。是不是非常方 便。</p>
<p>前面2篇文章纯文字的介绍比较多，因为很多是概念性的，需要理解，后面的文章我准备配合一些小 示例程序，使用一些简单的API函数，遇到的相关的概念在一并介绍的方法进行。所以，前2篇文章如果 各位朋友不是很能理解，不用担心，影响不是很大，经过后面的学习，你就会慢慢的理解前面所说的内 容了。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 15:14:51</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f/" title="程序">程序</a>, <a href="https://www.iamivan.net/tag/%e7%bc%96%e7%a0%81/" title="编码">编码</a>, <a href="https://www.iamivan.net/tag/%e5%ad%97%e7%ac%a6/" title="字符">字符</a>, <a href="https://www.iamivan.net/tag/ascii/" title="ascii">ascii</a>, <a href="https://www.iamivan.net/tag/unicode/" title="unicode">unicode</a>, <a href="https://www.iamivan.net/tag/messagebox/" title="messagebox">messagebox</a>, <a href="https://www.iamivan.net/tag/%e5%ae%8f%e5%ae%9a%e4%b9%89%e4%bb%8b%e7%bb%8d/" title="宏定义介绍">宏定义介绍</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>API入门系列之二 -Unicode还是ASCII的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMqQlaM.html" rel="bookmark">API入门系列之七 -完善MessageBox</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				各位不好意思,前几天有些事很忙,昨天才稍稍有时间空闲下来,所以我将我的API入门系列文章继续下去,上一篇&lt;自己实现MessageBox&gt;中我们基本已经实现了一个对话框了,可以在中央显示自己的文字,并且显示一个确定按钮,可是,上一篇完的时候我留下了一个问题,那就是那个确定按钮并不会根据窗口的大小的改变而改变.那么我们怎么来解决这个问题呢? 我给出了提示可以通过处理WM_SIZE来完成这个目的.那么今天我们就来完成这一遗留的问题.所要使用到的新的API函数也不多,就两个,要处理的消息也就两个WM_			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPPVZ8p.html" rel="bookmark">人工&OpenCurlyDoubleQuote;碳&rdquo;索意犹尽，智能&OpenCurlyDoubleQuote;硅&rdquo;来未可知（深度学习入门系列之二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				系列文章:一入侯门&quot;深&quot;似海,深度学习深几许(入门系列之一) 在前面的小节中,我们仅仅泛泛而谈了机器学习.深度学习等概念,在这一小节,我们将给出它的更加准确的形式化描述. 我们经常听到人工智能如何如何?深度学习怎样怎样?那么它们之间有什么关系呢?在本小节,我们首先从宏观上谈谈人工智能的&quot;江湖定位&quot;和深度学习的归属.然后再在微观上聊聊机器学习的数学本质是什么?以及我们为什么要用神经网络? 2.1 人工智能的&quot;江湖定位&quot; 宏观上来看, 人类科学和技术			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/1MvVe6M.html" rel="bookmark">API入门系列之四 -一个相当简单的SDK程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大家好,还是我beyondcode,再次见面,前面介绍的那么多'理论知识',你们都懂了吗? 就 算还没有彻底领悟,但至少还是有那么一点意识了吧,知道有那么一回事了吧.这一篇我打算通过一个 小小小例子,来回忆一下我们以前介绍的相关知识,如Windows的数据类型,特别是和字符和字符串操作 相关的数据类型,还有就是Unicode和ASCII在API函数上的具体体现. 另外,SDK编程交流群已经 建立,很多朋友踊跃参加,系列文章和群的发展离不开你们.群号:81543028. Ok,我们正式开 始,我打			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMg27Zb.html" rel="bookmark">API入门系列之五 -一个正儿八经的SDK程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上一篇,讲了一个简单的SDK程序的多种版本的编写,弹出了一个窗口,显示了我们计算1到10的结果 ,计算的程序不是重点,重点在于,一:让大家认识到Unicode版本的程序和ASCII版本的程序在编程方 面的区别,以及怎么样编写出通用代码的程序.二:怎么样运用API或者c++库函数格式化非字符数据到 一个字符串中显示出来. 不过,那个相当简单的程序,还算不上是一个正儿八经的SDK程序,也 就是说还不是一个纯爷们儿,因为我们并亲自完成一个SDK程序的经典步骤.而是调用了一个MessageBox API			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpnlgZb.html" rel="bookmark">API入门系列之三 -那迷惑人的Windows字符和字符指针类型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大家好,通过前面两篇打头文章,我也看了留言,感谢那些给我提意见的人和指出错误之处的人.再次谢谢你们的支持.另外,Windows SDK编程交流群已经建立了,欢迎各位志同道合者加入进行交流(群号:81543028) 本打算通过前面两篇文章的讲解,后来的系列就可以通过使用一些简单的,常用的API写一些示例程序的讲解进行,但是发现还有一个不得不先讲一讲的要点,Windows下和字符串操作有关的数据类型.我看留言中也有几位朋友提到了,那我就在这篇中讲它吧.不会很枯燥的,各位慢慢看下去就是了. 下面我罗列			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/lpPRomb.html" rel="bookmark">API入门系列之一 -那&OpenCurlyQuote;烦人&rsquo;的Windows数据类型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Hello Everybody This is beyondcode 大家好 再次自我介绍一下 我是beyondcode, 这次心 血来潮, 计划着做一系列关于Windows API 编程的教程,用于帮助一些在Windows API编程上有疑惑的, 纳闷的,迷惑的新手朋友们. 先解释一些术语或名词吧 SDK是Software Development Kit的简写,也就是软件开发包的意思,其中就包含了我们写程序要用 到的一些头文件,库,工具,帮助文档之类的. Windows API编程是指调用Wi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp51a6p.html" rel="bookmark">API入门系列之六 -自己实现MessageBox</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我在第四篇文章:一个相当简单的SDK程序中讲到了通过调用MessageBoxAPI函数来弹出一个对话框,那你有没有想过,我们一句简单的代码背后所隐藏的细节是怎么的呢,那时候让你了解这些未免还早了些,不过现在时机到了,通过一些基本的API函数调用来实现一个自己的对话框其实也不是很难,那么 这一篇文章就是这个目的.并顺带介绍一些基本API的应用,由于前面五篇文章的铺垫,我相信你对SDK 的程序的大致结构和相关字符处理都有所了解了,所以在这篇文章中的这些知识点,我就不再多说,以 免有些人觉得我实在太过			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M91n3VM.html" rel="bookmark">&lbrack;Eclipse&rsqb;GEF入门系列（二、GEF概述）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在前面的帖子已经提到,GEF(Graphical Editor Framework)是一个图形化编辑框架, 它允许开发人员以图形化的方式展示和编辑模型,从而提升用户体验.这样的应用程序有很 多,例如:UML类图编辑器.图形化XML编辑器.界面设计工具以及图形化数据库结构设计工 具等等.归结一下,可以发现它们在图形化编辑方面具有以下共同之处: 提供一个编辑区域和一个工具条,用户在工具条里选择需要的工具,以拖动或单击的方式 将节点或连接放置在编辑区域: 节点可以包含子节点: 用户能够查看和修改某个节			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Aq3Bp.html" rel="bookmark">C&num; 3&period;0入门系列（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在第一篇中,我已经和大家简单介绍了linq.也和大家提起linq是C# 3.0里的一个特性.不过,你去装linq priview时,你会发现,它提供了许多vb的linq代码.从现在的情况看,linq会被移植到.net framework下.在本篇中,笔者将开始更加详细的介绍dlinq.同时,也会介绍很实用的技巧和方法.在这之前,你需要安装s2008 beta2版本.可以到 http://msdn2.microsoft.com/en-us/vstudio/aa700831.aspx 下载.如果,你			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZ2gaz.html" rel="bookmark" class="title">MySQL中采用类型varchar&lpar;20&rpar;和varchar&lpar;255&rpar;对性能上的影响</a>
					<div>
						1.MySQL建立索引时如果没有限制索引的大小,索引长度会默认采用的该字段的长度,也就是说varchar(20)和varchar(255)对应的索引长度分别为20*3(utf-8)(+2+1),255 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvJxNM.html" rel="bookmark" class="title">mysql数据库你需要特别注意的23个事项</a>
					<div>
						使用MySQL,安全问题不能不注意.以下是MySQL提示的23个注意事项: 1.如果客户端和服务器端的连接需要跨越并通过不可信任的网络,那么就需要使用SSH隧道来加密该连接的通信. 2.用set pa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvjqNM.html" rel="bookmark" class="title">iis5的asp泄露</a>
					<div>
						iis|iis iis5的asp泄露 当 IIS 5.0 接收到一个特殊格式的头 (Translate: f) 的 HTTP 请求,同时 URL 末尾包含一个特殊字符时,IIS 会使用错误的处理方法导 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvQA5b.html" rel="bookmark" class="title">提高ASP性能的最佳选择（一）</a>
					<div>
						性能 作者:青苹果工作室编译 ASP开发人员为了在他们的设计项目中获得更好的性能和可扩展性而不断努力.幸运地是,有许多书籍和站点在这方面提供了很好的建议.但是这些建议的基础都是从ASP平台工作的结构上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmaaBp.html" rel="bookmark" class="title">如何部署监控服务器</a>
					<div>
						1. 安装用于监控的消息队列 2. 安装 SQL Server Reporting Services 3. 将监控服务器添加到拓扑 4. 安装监控服务器 5. 部署监控服务器报告 6. 配置监控服务器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnERQz.html" rel="bookmark" class="title">NStarfaiNet的SQL XML文件示范</a>
					<div>
						所有sql xml文件的语法如上所示,语句类型分为insert,update,delete,select.变量符号统一使用$,其他如#,?等符号本架构不支持!nstarfainet的sal xml文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4w7gJp.html" rel="bookmark" class="title">360安全卫士流量监控在哪里？</a>
					<div>
						  虽然现如今wifi已经得到了普及,不过在一些时候我们也会用到无线上网卡来访问网络,都知道无线网卡是按照流量收费的,所以电脑的流量用户必须要严格的控制,而360安全卫士恰恰包含流量监控功能,用户通过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWYQPb.html" rel="bookmark" class="title">如何关闭Windows 8系统</a>
					<div>
						  大家有自己一贯的关机方式,比如都是从开始按钮下进行关机的,可是大家知道吗,其实关闭win 8有很多种方法的,现在就介绍下关闭Windows 8系统多方法教程. 使用windows 8系统总结出了不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLgWdb.html" rel="bookmark" class="title">如何解决Windows7打开图片速度变慢</a>
					<div>
						  有些人在使用Windows7系统下的 Windows 照片查看器 (Windows Photo Viewer) 看图时,整台计算机速度变得异常缓慢. 原来这是因为 Windows 7 内建的校正颜 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAry6Ap.html" rel="bookmark" class="title">win7下IIS7站点页面无法正常显示怎么办</a>
					<div>
						  1.首先点击开始菜单中的控制面板选项,然后在打开的控制面板中选择点击&quot;打开或关闭Windows功能&quot;; 2.然后在打开的windows功能窗口中,依次展开&quot;Inter ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGD6yp.html" rel="bookmark" class="title">使用Windws内存诊断工具检查内存可靠性</a>
					<div>
						  使用Windows内存诊断工具: 我们可以手动方式打开这个管理员工具箱里的内存诊断工具,命令如下: C:&gt; mdsched 复制代码 然后会看到如下界面: 按照上面的提示,我们选择推荐项默认 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oXdBb.html" rel="bookmark" class="title">在硬盘上给Win7PE安个家</a>
					<div>
						  U盘装PE来恢复系统现在是很普遍的了,但如果想把Win7 PE装在硬盘里又怎么来实现呢?看看是如何操作的吧: 一.先在某个硬盘分区(如E盘)根目录下新建一个名为&quot;Recovery&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZg6qz.html" rel="bookmark" class="title">该文档未能打印怎么解决</a>
					<div>
						  1. 打印机处于脱机状态 当打印机出现脱机状态的时候,是无法打印东西的,也会有该文档未能打印的提示.产生此类的原因多数数链接打印机与电脑主机之间的数据线结接触不良,或者没有连接好的. 解决办法:检 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oemkb.html" rel="bookmark" class="title">PHP开发文件系统实例讲解&lowbar;php基础</a>
					<div>
						PHP中有许多与文件系统有关的函数,这些函数不仅可以打开文件,还可以显示目录中的内容.移动文件和其他一些功能,许多人甚至用PHP开发基于互联网的文件资源管理器.  下面的脚本样例可以显示一个目录清单, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2Arqb.html" rel="bookmark" class="title">PHP读取日志里数据方法理解</a>
					<div>
						需要函数: fopen($file, &quot;r&quot;)打开文件 fgets($file, 1024 * 10)读取一行,注意设置字节数大小,默认的1024B可能太小了 strpos($lo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NjDOM.html" rel="bookmark" class="title">维修拖沓防盗不力数名&OpenCurlyDoubleQuote;东家&rdquo;质疑长城物业失职</a>
					<div>
						水管漏了一年多,地下室遭浸泡,长城物业被质疑&quot;不作为&quot;.80岁的李老汉,望着被水浸泡的地下室唉声叹气:急着给儿子装修婚房的张先生,奔走呼告近3年,新房内还是无法收看数字电视:韩先生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmvWkz.html" rel="bookmark" class="title">jedis怎么实现订阅某一个key的过期提醒？</a>
					<div>
						问题描述 jedis怎么实现订阅某一个key的过期提醒? 通过jedis把一个键值对保存到redis中,并且设置过期时间为5分钟.怎么才能在这个key失效的时候让jedis知道,并且获取到失效的数据? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRK9Ab.html" rel="bookmark" class="title">sqlserver2005 安装图解教程以及SQL 2005 SP3补丁安装图文教程&lowbar;mssql2005</a>
					<div>
						MSSQL2005数据库版本    SQL Server 2005 的各版本之间选择 大多数企业都在三个 SQL Server 版本之间选择:SQL Server 2005 Enterprise Ed ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWleWep.html" rel="bookmark" class="title">不会卖掉当当网</a>
					<div>
						当当网总裁李国庆近日在北京对外表示,当当网欢迎战略融资,但从来没有对外谈过收购. &quot;想收当当,还是算了吧.董事会可以给你一票,认可我们夫妇超级投票权的(投资人),我们欢迎.&quot;李国庆 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RQVQb.html" rel="bookmark" class="title">verilog if语句循环次数问题</a>
					<div>
						问题描述 verilog if语句循环次数问题 下面是我设计的模块的一部分,仿真的时候发现if语句循环出现问题,比如data从0跳变为1,times的值会一直加到3,src也变成了0000000100 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBmyPM.html" rel="bookmark" class="title">WPF动态生成TreeView 之后点击树中的一个节点，怎么打开一个新界面，类似VS一样</a>
					<div>
						问题描述 WPF动态生成TreeView之后点击树中的一个节点,怎么打开一个新界面,类似VS一样&lt;!--treeview的代码--&gt;&lt;TreeViewx:Name=&quot;tvM ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgJeLM.html" rel="bookmark" class="title">C&plus;&plus;纯虚函数实现</a>
					<div>
						纯虚函数就是一个在基类中的虚函数,差别只是在一般的虚函数声明的后面加了&quot;=0&quot;,虚函数允许函数通过与函数体之间的联系在运行时才建立,也就是在运行时才决定如何动作,称为运行时的多态性 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEG9AM.html" rel="bookmark" class="title">浏览器-谷歌和IE兼容问题，IE登录进入不了新页面</a>
					<div>
						问题描述 谷歌和IE兼容问题,IE登录进入不了新页面 代码在谷歌可以登录成功,在IE浏览器,点击登录没反应,调试时进入登录方法执行成功,就是不跳转到新的页面,代码如下: (登录方法),求指点 func ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xK2Ab.html" rel="bookmark" class="title">【多显示器求助】想在副显示器的一个窗体上监视主显示器内容，类似KTV点播</a>
					<div>
						问题描述 现在程序支持多个显示器,一个显示器输出的是视频播放窗口,另一个显示器上是控制视频播放的按钮.现在希望在副显示的控制界面上添加一个主显示器内容的监控.尝试过用屏幕截图的方式,有两个问题:1.截 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXONVb.html" rel="bookmark" class="title">在asp&period;net中如何在后台获取kindeditor输入的内容</a>
					<div>
						问题描述 js代码:&lt;scripttype=&quot;text/javascript&quot;&gt;vareditor;KindEditor.ready(function(K){edito ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQ6LYp.html" rel="bookmark" class="title">周鸿祎：我不明白为何互联网企业都做金融</a>
					<div>
						支付宝携手天弘基金,百度(165.91, 12.08, 7.85%)联合华夏基金,微信与中国人保财险展开合作--在http://www.aliyun.com/zixun/aggregation/351 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyW8P4z.html" rel="bookmark" class="title">Oneupweb调查：搜索引擎优化将持续影响网站成功</a>
					<div>
						▲ 图:2004-2005,前100大网络零售商网站优化程度对比 线上零售市场分析调查公司Internet Retailer通常基于在线销售额.访问流量等标准,发布每年的&quot;全美前400大网络 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkv4OM.html" rel="bookmark" class="title">世界那么大，你要去看看！</a>
					<div>
						一.去看看,了解自己! 小河解冻,柳树发芽,春天就那样悄无声息的来到了我们的身边~三四月份的清明时节,除了纪念先祖之外,很多人也会选择在这个时候出去踏青游玩领略祖国的大好河山,无它,天儿好啊! 这不, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmR2jqz.html" rel="bookmark" class="title">B&sol;S后台界面模版设计</a>
					<div>
						问题描述 自己设计制作的一套模版,HTML+CSS+JS,仅供大家参考,欢迎大家指点!QQ:32534386 解决方案 解决方案二:弱弱的问下可以下载么					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4xRKb.html" rel="bookmark" class="title">Java 并发&sol;多线程教程&lpar;十&rpar;-线程安全及不可变性</a>
					<div>
						本系列译自jakob jenkov的Java并发多线程教程,个人觉得很有收获.由于个人水平有限,不对之处还望矫正!        只有在多个线程访问相同的资源时,才会出现竞态条件,并且一个或多个线对相 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
